import 'dart:convert';

/// Login tokens model
///
/// @author Pierre HUBERT

class LoginTokens {
  final String tokenOne;
  final String tokenTwo;

  const LoginTokens(this.tokenOne, this.tokenTwo)
      : assert(tokenOne != null),
        assert(tokenTwo != null);

  LoginTokens.fromJSON(Map<String, dynamic> json)
      : tokenOne = json["token_one"],
        tokenTwo = json["token_two"];

  @override
  String toString() {
    return jsonEncode({"token_one": tokenOne, "token_two": tokenTwo});
  }
}
