import 'package:comunic/models/friend.dart';
import 'package:comunic/models/user.dart';
import 'package:comunic/ui/widgets/account_image_widget.dart';
import 'package:comunic/utils/date_utils.dart';
import 'package:comunic/utils/intl_utils.dart';
import 'package:flutter/material.dart';

/// Accepted friend tile
///
/// @author Pierre HUBERT

class AcceptedFriendTile extends StatelessWidget {
  final Friend friend;
  final User user;

  const AcceptedFriendTile(
      {Key key, @required this.friend, @required this.user})
      : assert(friend != null),
        assert(user != null),
        super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListTile(
      leading: AccountImageWidget(user: user),
      title: Text(user.displayName),
      subtitle: friend.isConnected
          ? Text(
              tr(
                "Online",
              ),
              style: TextStyle(color: Colors.green),
            )
          : Text(
        diffTimeFromNowToStr(friend.lastActive),
            ),
    );
  }
}
